

\section{Requirements}
\subsection{Functional}
\begin{itemize}
	\item The application should allow anyone to create Kanban boards
	\item It should allow to customize the board and the buckets
	\item It should allow to create items
	\item The items should be movable between buckets
	\item It should synchronize instantly to enable collaboration with other people
	\item It should reconnect automatically in case of a server disconnection
\end{itemize}

\subsection{Non-Functional}

\renewcommand\tabularxcolumn[1]{m{#1}}% for vertical centering text in X column

\begin{tabularx}{\textwidth}{|l|l|l|X|X|}
    \hline
    \bf{ID} & \bf{Category} & \bf{Priority} & \bf{Requirement} & \bf{Measure} \\
    \hline
    NFR-1 & Time-behaviour & Medium & The system reacts in appropriate time & The system reacts to interaction in less than 5  seconds \\
    \hline
    NFR-2 & Availability & High & The system is distributed and implements a Load Balancer & The system is stable against server failure \\
    \hline
    NFR-3 & Data Integrity & High & Changes to data on a board are shared almost instant & The system shows changes in under a second \\
    \hline
    NFR-4 & Capacity & High & The system can handle multiple simultaneous users & The system is able to handle average load of at least 10 simultaneous users \\
    \hline
    NFR-5 & Usability & Medium & Creation of a board or item in reasonable time & Creation of board or item in less than 5 seconds \\
    \hline
\end{tabularx}



